# Uses of Enum
com.databricks.jdbc.exception.DatabricksVendorCode

Packages that use DatabricksVendorCode
Package
Description
com.databricks.jdbc.exception

## Uses of DatabricksVendorCode in com.databricks.jdbc.exception

Subclasses with type arguments of type DatabricksVendorCode in com.databricks.jdbc.exception
Modifier and Type
Class
Description
`enum`
`DatabricksVendorCode`
Centralized registry for Databricks JDBC driver vendor error codes.
Methods in com.databricks.jdbc.exception that return DatabricksVendorCode
Modifier and Type
Method
Description
`static DatabricksVendorCode`
DatabricksVendorCode.`fromCode(int code)`
Finds a vendor code enum by its numeric code.
`static DatabricksVendorCode`
DatabricksVendorCode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DatabricksVendorCode[]`
DatabricksVendorCode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.